Wacht Bench is live — AI-assisted development for Wacht

Create Notification

POST
/notifications

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/notifications" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "body": "string"  }'
{
  "data": [
    {
      "id": "string",
      "deployment_id": "string",
      "user_id": "string",
      "organization_id": "string",
      "workspace_id": "string",
      "title": "string",
      "body": "string",
      "ctas": [
        {
          "label": "string",
          "payload": "string"
        }
      ],
      "severity": "Info",
      "is_read": true,
      "read_at": "2019-08-24T14:15:22Z",
      "is_archived": true,
      "archived_at": "2019-08-24T14:15:22Z",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "expires_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}